net.sf.jasperreports.engine.analytics.dataset

## Enum BucketOrder

- java.lang.Object
- - java.lang.Enum<BucketOrder>
  - - net.sf.jasperreports.engine.analytics.dataset.BucketOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BucketOrder>, NamedEnum

      public enum BucketOrder
      extends java.lang.Enum<BucketOrder>
      implements NamedEnum

  Version:
    $Id: BucketOrder.java 5970 2013-03-12 10:33:19Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING` Ascending order constant.
    `DESCENDING` Descending order constant.
    `NONE` No sorting.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BucketOrder` | `fromSortOrderEnum(SortOrderEnum orderValue)`
    `java.lang.String` | `getName()`
    `static SortOrderEnum` | `toSortOrderEnum(BucketOrder order)`
    `static BucketOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BucketOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final BucketOrder ASCENDING

      Ascending order constant.

    - #### DESCENDING

          public static final BucketOrder DESCENDING

      Descending order constant.

    - #### NONE

          public static final BucketOrder NONE

      No sorting.

  - ### Method Detail

    - #### values

          public static BucketOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BucketOrder c : BucketOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BucketOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### toSortOrderEnum

          public static SortOrderEnum toSortOrderEnum(BucketOrder order)

    - #### fromSortOrderEnum

          public static BucketOrder fromSortOrderEnum(SortOrderEnum orderValue)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com